classification
Title: "make touch" fails when the build directory is not the source directory
Type: Stage: resolved
Components: Build Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ned.deily, python-dev
Priority: normal Keywords: patch

Created on 2014-04-29 08:42 by ned.deily, last changed 2014-05-22 22:31 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
issue21383_make_touch.patch ned.deily, 2014-04-29 08:45 review
Messages (3)
msg217497 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-04-29 08:42
make touch
hg --config extensions.touch=Tools/hg/hgtouch.py touch -v
*** failed to import extension touch from Tools/hg/hgtouch.py: [Errno 2] No such file or directory: 'Tools/hg/hgtouch.py'
hg: unknown command 'touch'
msg218314 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-05-12 04:47
New changeset bc160f985b7b by Ned Deily in branch '3.4':
Issue #21383: Allow "make touch" to work when building outside of the
http://hg.python.org/cpython/rev/bc160f985b7b

New changeset 9493fdad2a75 by Ned Deily in branch 'default':
Issue 21383: merge from 3.4
http://hg.python.org/cpython/rev/9493fdad2a75
msg218924 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-05-22 22:30
New changeset 1fd37eefa141 by Ned Deily in branch '2.7':
Issue #21383: Allow "make touch" to work when building outside of the
http://hg.python.org/cpython/rev/1fd37eefa141

New changeset 6f85967c908e by Ned Deily in branch '2.7':
Issue #21383: OS X installer builds now use "make touch".
http://hg.python.org/cpython/rev/6f85967c908e

New changeset 15b5559b1068 by Ned Deily in branch '3.4':
Issue #21383: OS X installer builds now use "make touch".
http://hg.python.org/cpython/rev/15b5559b1068

New changeset 24f198c520c1 by Ned Deily in branch 'default':
Issue #21383: OS X installer builds now use "make touch".
http://hg.python.org/cpython/rev/24f198c520c1
History
Date User Action Args
2014-05-22 22:31:35ned.deilysetversions: + Python 2.7
2014-05-22 22:30:38python-devsetmessages: + msg218924
2014-05-12 04:54:18ned.deilysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2014-05-12 04:47:54python-devsetnosy: + python-dev
messages: + msg218314
2014-04-29 08:45:16ned.deilysetfiles: + issue21383_make_touch.patch
keywords: + patch
stage: patch review
2014-04-29 08:42:27ned.deilycreate